Log in with API key (USER_DATA)
Authenticate WebSocket connection using the provided API key.
After calling session.logon, you can omit apiKey and signature parameters for future requests that require them.
Note that only one API key can be authenticated.
Calling session.logon multiple times changes the current authenticated API key.
Note: Only Ed25519 keys are supported for this feature.
Log in with API key (USER_DATA) › Authorization
Log in with API key (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Log in with API key (USER_DATA) › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
apiKeyAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
recvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Log in with API key (USER_DATA) › Responses
Log in with API key
idstatusapiKeyauthorizedSinceconnectedSincereturnRateLimitsserverTimeuserDataStreamIs User Data Stream subscription active?
Log out of the session
Forget the API key previously authenticated. If the connection is not authenticated, this request does nothing.
Note that the WebSocket connection stays open after session.logout request. You can continue using the connection, but now you will have to explicitly provide the apiKey and signature parameters where needed.
Log out of the session › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Log out of the session › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
paramsLog out of the session › Responses
Log out of the session
idstatusapiKeyauthorizedSinceconnectedSincereturnRateLimitsserverTimeuserDataStreamIs User Data Stream subscription active?
Query session status
Query the status of the WebSocket connection, inspecting which API key (if any) is used to authorize requests.
Query session status › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Query session status › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
paramsQuery session status › Responses
Query session status
idstatusapiKeyauthorizedSinceconnectedSincereturnRateLimitsserverTimeuserDataStreamIs User Data Stream subscription active?